package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.GreenhouseInformation;
import com.ruoyi.crops.service.IGreenhouseService;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 大棚信息controller
 */
@RestController
@RequestMapping("/greenhouse/information")
public class GreenhouseController extends BaseController {
    @Autowired
    private IGreenhouseService iGreenhouseService;

    @GetMapping("/{name}")
    public List<GreenhouseInformation> selectByName(@PathVariable String name) {
        return iGreenhouseService.selectByName(name);
    }

    @PostMapping
    public AjaxResult insert(@RequestBody GreenhouseInformation greenhouseInformation) {
        return toAjax(iGreenhouseService.insert(greenhouseInformation));
    }
}


