package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.io.Serializable;
import java.util.Date;

 /**
 * 作物种植结构;
 * @author : http://www.chiner.pro
 * @date : 2023-4-24
 */

public class CropStructure{
    /** id */

    private Integer id ;
    /** 区域 */
    private String zone ;
    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date imageDate ;
    /** 小麦面积 */
    private Double wheatArea ;
    /** 玉米面积 */
    private Double cornArea ;
    /** 花生面积 */
    private Double peanutArea ;
    /** 大豆面积 */
    private Double soybeanArea ;
    /** 其他面积 */
    private Double otherArea ;
    /** 总面积 */
    private Double toalArea ;

     public Integer getId() {
         return id;
     }

     public void setId(Integer id) {
         this.id = id;
     }

     public String getZone() {
         return zone;
     }

     public void setZone(String zone) {
         this.zone = zone;
     }

     public Date getImageDate() {
         return imageDate;
     }

     public void setImageDate(Date imageDate) {
         this.imageDate = imageDate;
     }

     public Double getWheatArea() {
         return wheatArea;
     }

     public void setWheatArea(Double wheatArea) {
         this.wheatArea = wheatArea;
     }

     public Double getCornArea() {
         return cornArea;
     }

     public void setCornArea(Double cornArea) {
         this.cornArea = cornArea;
     }

     public Double getPeanutArea() {
         return peanutArea;
     }

     public void setPeanutArea(Double peanutArea) {
         this.peanutArea = peanutArea;
     }

     public Double getSoybeanArea() {
         return soybeanArea;
     }

     public void setSoybeanArea(Double soybeanArea) {
         this.soybeanArea = soybeanArea;
     }

     public Double getOtherArea() {
         return otherArea;
     }

     public void setOtherArea(Double otherArea) {
         this.otherArea = otherArea;
     }

     public Double getToalArea() {
         return toalArea;
     }

     public void setToalArea(Double toalArea) {
         this.toalArea = toalArea;
     }

     @Override
     public String toString() {
         return "CropStructure{" +
                 "id=" + id +
                 ", zone='" + zone + '\'' +
                 ", imageDate=" + imageDate +
                 ", wheatArea=" + wheatArea +
                 ", cornArea=" + cornArea +
                 ", peanutArea=" + peanutArea +
                 ", soybeanArea=" + soybeanArea +
                 ", otherArea=" + otherArea +
                 ", toalArea=" + toalArea +
                 '}';
     }
 }
