package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

 /**
 * 作物旱情;
 * @author : http://www.chiner.pro
 * @date : 2023-4-24
 */
public class CropsDrought implements Serializable,Cloneable{
    /** id */
    private Integer id ;
    /** 区域 */
    private String zone ;
    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date imageDate ;
    /** 严重干旱面积 */
    private Double severeArea ;
    /** 中度干旱面积 */
    private Double modArea ;
    /** 轻度干旱面积 */
    private Double mildArea ;
     /** 适宜面积 */
     private Double suitArea ;
     /** 湿润面积 */
     private Double humidArea ;


     public Integer getId() {
         return id;
     }

     public void setId(Integer id) {
         this.id = id;
     }

     public String getZone() {
         return zone;
     }

     public void setZone(String zone) {
         this.zone = zone;
     }

     public Date getImageDate() {
         return imageDate;
     }

     public void setImageDate(Date imageDate) {
         this.imageDate = imageDate;
     }

     public Double getSevereArea() {
         return severeArea;
     }

     public void setSevereArea(Double severeArea) {
         this.severeArea = severeArea;
     }

     public Double getModArea() {
         return modArea;
     }

     public void setModArea(Double modArea) {
         this.modArea = modArea;
     }

     public Double getMildArea() {
         return mildArea;
     }

     public void setMildArea(Double mildArea) {
         this.mildArea = mildArea;
     }

     public Double getSuitArea() {
         return suitArea;
     }

     public void setSuitArea(Double suitArea) {
         this.suitArea = suitArea;
     }

     public Double getHumidArea() {
         return humidArea;
     }

     public void setHumidArea(Double humidArea) {
         this.humidArea = humidArea;
     }

     @Override
     public String toString() {
         return "CropsDrought{" +
                 "id=" + id +
                 ", zone='" + zone + '\'' +
                 ", imageDate=" + imageDate +
                 ", severeArea=" + severeArea +
                 ", modArea=" + modArea +
                 ", mildArea=" + mildArea +
                 ", suitArea=" + suitArea +
                 ", humidArea=" + humidArea +
                 '}';
     }
 }
