package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

 /**
 * 水肥机传感数据;
 * @author : http://www.chiner.pro
 * @date : 2023-5-10
 */
public class FertigationSense {
    /** id */
    private Integer id ;

    private String DeviceId;
    /** EC实际值mS/cm */
    private Double EC ;
    /** PH实际值 */
    private Double pH ;
    /** 水泵实际压力MP */
    private Double PumpPressure ;
    /** 1#吸肥通道累计肥量使用量L */
    private Double AccumulativeInflow1 ;
    /** 1#吸肥通道肥量瞬时流量L/H */
    private Double InstantInflow1 ;
    /** 2#吸肥通道累计肥量使用量L */
    private Double AccumulativeInflow2 ;
    /** 2#吸肥通道肥量瞬时流量L/H */
    private Double InstantInflow2 ;
    /** 3#吸肥通道累计肥量使用量L */
    private Double AccumulativeInflow3 ;
    /** 3#吸肥通道肥量瞬时流量L/H */
    private Double InstantInflow3 ;
    /** 4#吸肥通道累计肥量使用量L */
    private Double AccumulativeInflow4 ;
    /** 4#吸肥通道肥量瞬时流量L/H */
    private Double InstantInflow4 ;
    /** 酸吸肥通道累计肥量使用量L */
    private Double AccumulativeInflowAcid ;
    /** 酸吸肥通道肥量瞬时流量L/H */
    private Double InstantInflowAcid ;
    /** 肥量累计使用量清零 */
    private Integer AccumulativeInflowClear ;
    /** 设备云状态 */
    private Integer CloudStatus ;
    /** 工作状态 */
    private Integer WorkStatus ;
    /** 控制方式 */
    private Integer ControlMode ;
    /** 自动工作方式 */
    private Integer AutoMode ;
    /** 水泵状态 */
    private Integer InflowPump ;
    /** 吸肥泵状态 */
    private Integer FeedingPump ;
    /** 1#通道吸肥阀状态 */
    private Integer FeedingPumpCH1 ;
    /** 1#通道吸肥阀输出占空比% */
    private Integer FeedingPumpCH1PWM ;
    /** 2#通道吸肥阀状态 */
    private Integer FeedingPumpCH2 ;
    /** 2#通道吸肥阀输出占空比% */
    private Integer FeedingPumpCH2PWM ;
    /** 3#通道吸肥阀状态 */
    private Integer FeedingPumpCH3 ;
    /** 3#通道吸肥阀输出占空比% */
    private Integer FeedingPumpCH3PWM ;
    /** 4#通道吸肥阀状态 */
    private Integer FeedingPumpCH4 ;
    /** 4#通道吸肥阀输出占空比% */
    private Integer FeedingPumpCH4PWM ;
    /** 酸通道吸肥阀状态 */
    private Integer FeedingPumpAcid ;
    /** 酸通道吸肥阀输出占空比% */
    private Integer FeedingPumpAcidPWM ;
    /** 1#搅拌状态 */
    private Integer Stir1 ;
    /** 2#搅拌状态 */
    private Integer Stir2 ;
    /** 3#搅拌状态 */
    private Integer Stir3 ;
    /** 4#搅拌状态 */
    private Integer Stir4 ;
    /** 5#搅拌状态 */
    private Integer Stir5 ;
    /** 1#田间电磁阀状态 */
    private Integer Valve1 ;
    /** 2#田间电磁阀状态 */
    private Integer Valve2 ;
    /** 3#田间电磁阀状态 */
    private Integer Valve3 ;
    /** 4#田间电磁阀状态 */
    private Integer Valve4 ;
    /** 5#田间电磁阀状态 */
    private Integer Valve5 ;
    /** 6#田间电磁阀状态 */
    private Integer Valve6 ;
    /** 7#田间电磁阀状态 */
    private Integer Valve7 ;
    /** 8#田间电磁阀状态 */
    private Integer Valve8 ;
    /** 9#田间电磁阀状态 */
    private Integer Valve9 ;
    /** 10#田间电磁阀状态 */
    private Integer Valve10 ;
    /** 11#田间电磁阀状态 */
    private Integer Valve11 ;
    /** 12#田间电磁阀状态 */
    private Integer Valve12 ;
    /** 13#田间电磁阀状态 */
    private Integer Valve13 ;
    /** 14#田间电磁阀状态 */
    private Integer Valve14 ;
    /** 15#田间电磁阀状态 */
    private Integer Valve15 ;
    /** 16#田间电磁阀状态 */
    private Integer Valve16 ;
    /** 17#田间电磁阀状态 */
    private Integer Valve17 ;
    /** 18#田间电磁阀状态 */
    private Integer Valve18 ;
    /** 19#田间电磁阀状态 */
    private Integer Valve19 ;
    /** 20#田间电磁阀状态 */
    private Integer Valve20 ;
    /** 21#田间电磁阀状态 */
    private Integer Valve21 ;
    /** 22#田间电磁阀状态 */
    private Integer Valve22 ;
    /** 23#田间电磁阀状态 */
    private Integer Valve23 ;
    /** 24#田间电磁阀状态 */
    private Integer Valve24 ;
    /** 25#田间电磁阀状态 */
    private Integer Valve25 ;
    /** 26#田间电磁阀状态 */
    private Integer Valve26 ;
    /** 27#田间电磁阀状态 */
    private Integer Valve27 ;
    /** 28#田间电磁阀状态 */
    private Integer Valve28 ;
    /** 29#田间电磁阀状态 */
    private Integer Valve29 ;
    /** 30#田间电磁阀状态 */
    private Integer Valve30 ;
    /** 31#田间电磁阀状态 */
    private Integer Valve31 ;
    /** 32#田间电磁阀状态 */
    private Integer Valve32 ;
    /** 33#田间电磁阀状态 */
    private Integer Valve33 ;
    /** 34#田间电磁阀状态 */
    private Integer Valve34 ;
    /** 35#田间电磁阀状态 */
    private Integer Valve35 ;
    /** 36#田间电磁阀状态 */
    private Integer Valve36 ;
    /** 37#田间电磁阀状态 */
    private Integer Valve37 ;
    /** 38#田间电磁阀状态 */
    private Integer Valve38 ;
    /** 39#田间电磁阀状态 */
    private Integer Valve39 ;
    /** 40#田间电磁阀状态 */
    private Integer Valve40 ;
    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time ;

     public Integer getId() {
         return id;
     }

     public void setId(Integer id) {
         this.id = id;
     }

     public String getDeviceId() {
         return DeviceId;
     }

     public void setDeviceId(String deviceId) {
         DeviceId = deviceId;
     }

     public Double getEC() {
         return EC;
     }

     public void setEC(Double EC) {
         this.EC = EC;
     }

     public Double getpH() {
         return pH;
     }

     public void setpH(Double pH) {
         this.pH = pH;
     }

     public Double getPumpPressure() {
         return PumpPressure;
     }

     public void setPumpPressure(Double pumpPressure) {
         PumpPressure = pumpPressure;
     }

     public Double getAccumulativeInflow1() {
         return AccumulativeInflow1;
     }

     public void setAccumulativeInflow1(Double accumulativeInflow1) {
         AccumulativeInflow1 = accumulativeInflow1;
     }

     public Double getInstantInflow1() {
         return InstantInflow1;
     }

     public void setInstantInflow1(Double instantInflow1) {
         InstantInflow1 = instantInflow1;
     }

     public Double getAccumulativeInflow2() {
         return AccumulativeInflow2;
     }

     public void setAccumulativeInflow2(Double accumulativeInflow2) {
         AccumulativeInflow2 = accumulativeInflow2;
     }

     public Double getInstantInflow2() {
         return InstantInflow2;
     }

     public void setInstantInflow2(Double instantInflow2) {
         InstantInflow2 = instantInflow2;
     }

     public Double getAccumulativeInflow3() {
         return AccumulativeInflow3;
     }

     public void setAccumulativeInflow3(Double accumulativeInflow3) {
         AccumulativeInflow3 = accumulativeInflow3;
     }

     public Double getInstantInflow3() {
         return InstantInflow3;
     }

     public void setInstantInflow3(Double instantInflow3) {
         InstantInflow3 = instantInflow3;
     }

     public Double getAccumulativeInflow4() {
         return AccumulativeInflow4;
     }

     public void setAccumulativeInflow4(Double accumulativeInflow4) {
         AccumulativeInflow4 = accumulativeInflow4;
     }

     public Double getInstantInflow4() {
         return InstantInflow4;
     }

     public void setInstantInflow4(Double instantInflow4) {
         InstantInflow4 = instantInflow4;
     }

     public Double getAccumulativeInflowAcid() {
         return AccumulativeInflowAcid;
     }

     public void setAccumulativeInflowAcid(Double accumulativeInflowAcid) {
         AccumulativeInflowAcid = accumulativeInflowAcid;
     }

     public Double getInstantInflowAcid() {
         return InstantInflowAcid;
     }

     public void setInstantInflowAcid(Double instantInflowAcid) {
         InstantInflowAcid = instantInflowAcid;
     }

     public Integer getAccumulativeInflowClear() {
         return AccumulativeInflowClear;
     }

     public void setAccumulativeInflowClear(Integer accumulativeInflowClear) {
         AccumulativeInflowClear = accumulativeInflowClear;
     }

     public Integer getCloudStatus() {
         return CloudStatus;
     }

     public void setCloudStatus(Integer cloudStatus) {
         CloudStatus = cloudStatus;
     }

     public Integer getWorkStatus() {
         return WorkStatus;
     }

     public void setWorkStatus(Integer workStatus) {
         WorkStatus = workStatus;
     }

     public Integer getControlMode() {
         return ControlMode;
     }

     public void setControlMode(Integer controlMode) {
         ControlMode = controlMode;
     }

     public Integer getAutoMode() {
         return AutoMode;
     }

     public void setAutoMode(Integer autoMode) {
         AutoMode = autoMode;
     }

     public Integer getInflowPump() {
         return InflowPump;
     }

     public void setInflowPump(Integer inflowPump) {
         InflowPump = inflowPump;
     }

     public Integer getFeedingPump() {
         return FeedingPump;
     }

     public void setFeedingPump(Integer feedingPump) {
         FeedingPump = feedingPump;
     }

     public Integer getFeedingPumpCH1() {
         return FeedingPumpCH1;
     }

     public void setFeedingPumpCH1(Integer feedingPumpCH1) {
         FeedingPumpCH1 = feedingPumpCH1;
     }

     public Integer getFeedingPumpCH1PWM() {
         return FeedingPumpCH1PWM;
     }

     public void setFeedingPumpCH1PWM(Integer feedingPumpCH1PWM) {
         FeedingPumpCH1PWM = feedingPumpCH1PWM;
     }

     public Integer getFeedingPumpCH2() {
         return FeedingPumpCH2;
     }

     public void setFeedingPumpCH2(Integer feedingPumpCH2) {
         FeedingPumpCH2 = feedingPumpCH2;
     }

     public Integer getFeedingPumpCH2PWM() {
         return FeedingPumpCH2PWM;
     }

     public void setFeedingPumpCH2PWM(Integer feedingPumpCH2PWM) {
         FeedingPumpCH2PWM = feedingPumpCH2PWM;
     }

     public Integer getFeedingPumpCH3() {
         return FeedingPumpCH3;
     }

     public void setFeedingPumpCH3(Integer feedingPumpCH3) {
         FeedingPumpCH3 = feedingPumpCH3;
     }

     public Integer getFeedingPumpCH3PWM() {
         return FeedingPumpCH3PWM;
     }

     public void setFeedingPumpCH3PWM(Integer feedingPumpCH3PWM) {
         FeedingPumpCH3PWM = feedingPumpCH3PWM;
     }

     public Integer getFeedingPumpCH4() {
         return FeedingPumpCH4;
     }

     public void setFeedingPumpCH4(Integer feedingPumpCH4) {
         FeedingPumpCH4 = feedingPumpCH4;
     }

     public Integer getFeedingPumpCH4PWM() {
         return FeedingPumpCH4PWM;
     }

     public void setFeedingPumpCH4PWM(Integer feedingPumpCH4PWM) {
         FeedingPumpCH4PWM = feedingPumpCH4PWM;
     }

     public Integer getFeedingPumpAcid() {
         return FeedingPumpAcid;
     }

     public void setFeedingPumpAcid(Integer feedingPumpAcid) {
         FeedingPumpAcid = feedingPumpAcid;
     }

     public Integer getFeedingPumpAcidPWM() {
         return FeedingPumpAcidPWM;
     }

     public void setFeedingPumpAcidPWM(Integer feedingPumpAcidPWM) {
         FeedingPumpAcidPWM = feedingPumpAcidPWM;
     }

     public Integer getStir1() {
         return Stir1;
     }

     public void setStir1(Integer stir1) {
         Stir1 = stir1;
     }

     public Integer getStir2() {
         return Stir2;
     }

     public void setStir2(Integer stir2) {
         Stir2 = stir2;
     }

     public Integer getStir3() {
         return Stir3;
     }

     public void setStir3(Integer stir3) {
         Stir3 = stir3;
     }

     public Integer getStir4() {
         return Stir4;
     }

     public void setStir4(Integer stir4) {
         Stir4 = stir4;
     }

     public Integer getStir5() {
         return Stir5;
     }

     public void setStir5(Integer stir5) {
         Stir5 = stir5;
     }

     public Integer getValve1() {
         return Valve1;
     }

     public void setValve1(Integer valve1) {
         Valve1 = valve1;
     }

     public Integer getValve2() {
         return Valve2;
     }

     public void setValve2(Integer valve2) {
         Valve2 = valve2;
     }

     public Integer getValve3() {
         return Valve3;
     }

     public void setValve3(Integer valve3) {
         Valve3 = valve3;
     }

     public Integer getValve4() {
         return Valve4;
     }

     public void setValve4(Integer valve4) {
         Valve4 = valve4;
     }

     public Integer getValve5() {
         return Valve5;
     }

     public void setValve5(Integer valve5) {
         Valve5 = valve5;
     }

     public Integer getValve6() {
         return Valve6;
     }

     public void setValve6(Integer valve6) {
         Valve6 = valve6;
     }

     public Integer getValve7() {
         return Valve7;
     }

     public void setValve7(Integer valve7) {
         Valve7 = valve7;
     }

     public Integer getValve8() {
         return Valve8;
     }

     public void setValve8(Integer valve8) {
         Valve8 = valve8;
     }

     public Integer getValve9() {
         return Valve9;
     }

     public void setValve9(Integer valve9) {
         Valve9 = valve9;
     }

     public Integer getValve10() {
         return Valve10;
     }

     public void setValve10(Integer valve10) {
         Valve10 = valve10;
     }

     public Integer getValve11() {
         return Valve11;
     }

     public void setValve11(Integer valve11) {
         Valve11 = valve11;
     }

     public Integer getValve12() {
         return Valve12;
     }

     public void setValve12(Integer valve12) {
         Valve12 = valve12;
     }

     public Integer getValve13() {
         return Valve13;
     }

     public void setValve13(Integer valve13) {
         Valve13 = valve13;
     }

     public Integer getValve14() {
         return Valve14;
     }

     public void setValve14(Integer valve14) {
         Valve14 = valve14;
     }

     public Integer getValve15() {
         return Valve15;
     }

     public void setValve15(Integer valve15) {
         Valve15 = valve15;
     }

     public Integer getValve16() {
         return Valve16;
     }

     public void setValve16(Integer valve16) {
         Valve16 = valve16;
     }

     public Integer getValve17() {
         return Valve17;
     }

     public void setValve17(Integer valve17) {
         Valve17 = valve17;
     }

     public Integer getValve18() {
         return Valve18;
     }

     public void setValve18(Integer valve18) {
         Valve18 = valve18;
     }

     public Integer getValve19() {
         return Valve19;
     }

     public void setValve19(Integer valve19) {
         Valve19 = valve19;
     }

     public Integer getValve20() {
         return Valve20;
     }

     public void setValve20(Integer valve20) {
         Valve20 = valve20;
     }

     public Integer getValve21() {
         return Valve21;
     }

     public void setValve21(Integer valve21) {
         Valve21 = valve21;
     }

     public Integer getValve22() {
         return Valve22;
     }

     public void setValve22(Integer valve22) {
         Valve22 = valve22;
     }

     public Integer getValve23() {
         return Valve23;
     }

     public void setValve23(Integer valve23) {
         Valve23 = valve23;
     }

     public Integer getValve24() {
         return Valve24;
     }

     public void setValve24(Integer valve24) {
         Valve24 = valve24;
     }

     public Integer getValve25() {
         return Valve25;
     }

     public void setValve25(Integer valve25) {
         Valve25 = valve25;
     }

     public Integer getValve26() {
         return Valve26;
     }

     public void setValve26(Integer valve26) {
         Valve26 = valve26;
     }

     public Integer getValve27() {
         return Valve27;
     }

     public void setValve27(Integer valve27) {
         Valve27 = valve27;
     }

     public Integer getValve28() {
         return Valve28;
     }

     public void setValve28(Integer valve28) {
         Valve28 = valve28;
     }

     public Integer getValve29() {
         return Valve29;
     }

     public void setValve29(Integer valve29) {
         Valve29 = valve29;
     }

     public Integer getValve30() {
         return Valve30;
     }

     public void setValve30(Integer valve30) {
         Valve30 = valve30;
     }

     public Integer getValve31() {
         return Valve31;
     }

     public void setValve31(Integer valve31) {
         Valve31 = valve31;
     }

     public Integer getValve32() {
         return Valve32;
     }

     public void setValve32(Integer valve32) {
         Valve32 = valve32;
     }

     public Integer getValve33() {
         return Valve33;
     }

     public void setValve33(Integer valve33) {
         Valve33 = valve33;
     }

     public Integer getValve34() {
         return Valve34;
     }

     public void setValve34(Integer valve34) {
         Valve34 = valve34;
     }

     public Integer getValve35() {
         return Valve35;
     }

     public void setValve35(Integer valve35) {
         Valve35 = valve35;
     }

     public Integer getValve36() {
         return Valve36;
     }

     public void setValve36(Integer valve36) {
         Valve36 = valve36;
     }

     public Integer getValve37() {
         return Valve37;
     }

     public void setValve37(Integer valve37) {
         Valve37 = valve37;
     }

     public Integer getValve38() {
         return Valve38;
     }

     public void setValve38(Integer valve38) {
         Valve38 = valve38;
     }

     public Integer getValve39() {
         return Valve39;
     }

     public void setValve39(Integer valve39) {
         Valve39 = valve39;
     }

     public Integer getValve40() {
         return Valve40;
     }

     public void setValve40(Integer valve40) {
         Valve40 = valve40;
     }

     public Date getTime() {
         return time;
     }

     public void setTime(Date time) {
         this.time = time;
     }

     @Override
     public String toString() {
         return "FertigationSense{" +
                 "id=" + id +
                 ", DeviceId='" + DeviceId + '\'' +
                 ", EC=" + EC +
                 ", pH=" + pH +
                 ", PumpPressure=" + PumpPressure +
                 ", AccumulativeInflow1=" + AccumulativeInflow1 +
                 ", InstantInflow1=" + InstantInflow1 +
                 ", AccumulativeInflow2=" + AccumulativeInflow2 +
                 ", InstantInflow2=" + InstantInflow2 +
                 ", AccumulativeInflow3=" + AccumulativeInflow3 +
                 ", InstantInflow3=" + InstantInflow3 +
                 ", AccumulativeInflow4=" + AccumulativeInflow4 +
                 ", InstantInflow4=" + InstantInflow4 +
                 ", AccumulativeInflowAcid=" + AccumulativeInflowAcid +
                 ", InstantInflowAcid=" + InstantInflowAcid +
                 ", AccumulativeInflowClear=" + AccumulativeInflowClear +
                 ", CloudStatus=" + CloudStatus +
                 ", WorkStatus=" + WorkStatus +
                 ", ControlMode=" + ControlMode +
                 ", AutoMode=" + AutoMode +
                 ", InflowPump=" + InflowPump +
                 ", FeedingPump=" + FeedingPump +
                 ", FeedingPumpCH1=" + FeedingPumpCH1 +
                 ", FeedingPumpCH1PWM=" + FeedingPumpCH1PWM +
                 ", FeedingPumpCH2=" + FeedingPumpCH2 +
                 ", FeedingPumpCH2PWM=" + FeedingPumpCH2PWM +
                 ", FeedingPumpCH3=" + FeedingPumpCH3 +
                 ", FeedingPumpCH3PWM=" + FeedingPumpCH3PWM +
                 ", FeedingPumpCH4=" + FeedingPumpCH4 +
                 ", FeedingPumpCH4PWM=" + FeedingPumpCH4PWM +
                 ", FeedingPumpAcid=" + FeedingPumpAcid +
                 ", FeedingPumpAcidPWM=" + FeedingPumpAcidPWM +
                 ", Stir1=" + Stir1 +
                 ", Stir2=" + Stir2 +
                 ", Stir3=" + Stir3 +
                 ", Stir4=" + Stir4 +
                 ", Stir5=" + Stir5 +
                 ", Valve1=" + Valve1 +
                 ", Valve2=" + Valve2 +
                 ", Valve3=" + Valve3 +
                 ", Valve4=" + Valve4 +
                 ", Valve5=" + Valve5 +
                 ", Valve6=" + Valve6 +
                 ", Valve7=" + Valve7 +
                 ", Valve8=" + Valve8 +
                 ", Valve9=" + Valve9 +
                 ", Valve10=" + Valve10 +
                 ", Valve11=" + Valve11 +
                 ", Valve12=" + Valve12 +
                 ", Valve13=" + Valve13 +
                 ", Valve14=" + Valve14 +
                 ", Valve15=" + Valve15 +
                 ", Valve16=" + Valve16 +
                 ", Valve17=" + Valve17 +
                 ", Valve18=" + Valve18 +
                 ", Valve19=" + Valve19 +
                 ", Valve20=" + Valve20 +
                 ", Valve21=" + Valve21 +
                 ", Valve22=" + Valve22 +
                 ", Valve23=" + Valve23 +
                 ", Valve24=" + Valve24 +
                 ", Valve25=" + Valve25 +
                 ", Valve26=" + Valve26 +
                 ", Valve27=" + Valve27 +
                 ", Valve28=" + Valve28 +
                 ", Valve29=" + Valve29 +
                 ", Valve30=" + Valve30 +
                 ", Valve31=" + Valve31 +
                 ", Valve32=" + Valve32 +
                 ", Valve33=" + Valve33 +
                 ", Valve34=" + Valve34 +
                 ", Valve35=" + Valve35 +
                 ", Valve36=" + Valve36 +
                 ", Valve37=" + Valve37 +
                 ", Valve38=" + Valve38 +
                 ", Valve39=" + Valve39 +
                 ", Valve40=" + Valve40 +
                 ", time=" + time +
                 '}';
     }
 }
