package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

public class Meteorological {

    /** ID */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private Integer id ;
    /** 预警消息ID */
    private String warnId ;
    /** 预警消息标题 */
    private String title ;
    /** 预警等级, 橙色/红色/蓝色/黄色/未知 */
    private String level ;
    /** 预警类型 */
    private String type ;
    /** 预警发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time ;
    /** 省份, 可能为空 */
    private String province ;
    /** 城市, 可能为空 */
    private String city ;
    /** 区域, 可能为空 */
    private String district ;
    /** 预警详细内容 */
    private String content ;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWarnId() {
        return warnId;
    }

    public void setWarnId(String warnId) {
        this.warnId = warnId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "Meteorological{" +
                "id=" + id +
                ", warnId='" + warnId + '\'' +
                ", title='" + title + '\'' +
                ", level='" + level + '\'' +
                ", type='" + type + '\'' +
                ", time=" + time +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", district='" + district + '\'' +
                ", content='" + content + '\'' +
                '}';
    }
}
