package com.ruoyi.crops.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class DeviceSenseVo {
    /** 设备id */
    private String Did;
    /** 光照强度[Lux] */
    private Double AvgSunlight ;
    /** 空气温度[°C] */
    private Double AvgAirTemp ;
    /** 空气湿度[%] */
    private Double AvgAirHumidity ;
    /** 土壤温度[°C] */
    private Double AvgSoilTemp ;
    /** 土壤湿度[%] */
    private Double AvgSoilHumidity ;
    /** 二氧化碳浓度[ppm] */
    private Double AvgCO2 ;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time ;

    public String getDid() {
        return Did;
    }

    public void setDid(String did) {
        Did = did;
    }

    public Double getAvgSunlight() {
        return AvgSunlight;
    }

    public void setAvgSunlight(Double avgSunlight) {
        AvgSunlight = avgSunlight;
    }

    public Double getAvgAirTemp() {
        return AvgAirTemp;
    }

    public void setAvgAirTemp(Double avgAirTemp) {
        AvgAirTemp = avgAirTemp;
    }

    public Double getAvgAirHumidity() {
        return AvgAirHumidity;
    }

    public void setAvgAirHumidity(Double avgAirHumidity) {
        AvgAirHumidity = avgAirHumidity;
    }

    public Double getAvgSoilTemp() {
        return AvgSoilTemp;
    }

    public void setAvgSoilTemp(Double avgSoilTemp) {
        AvgSoilTemp = avgSoilTemp;
    }

    public Double getAvgSoilHumidity() {
        return AvgSoilHumidity;
    }

    public void setAvgSoilHumidity(Double avgSoilHumidity) {
        AvgSoilHumidity = avgSoilHumidity;
    }

    public Double getAvgCO2() {
        return AvgCO2;
    }

    public void setAvgCO2(Double avgCO2) {
        AvgCO2 = avgCO2;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    @Override
    public String toString() {
        return "DeviceSenseVo{" +
                "Did='" + Did + '\'' +
                ", AvgSunlight=" + AvgSunlight +
                ", AvgAirTemp=" + AvgAirTemp +
                ", AvgAirHumidity=" + AvgAirHumidity +
                ", AvgSoilTemp=" + AvgSoilTemp +
                ", AvgSoilHumidity=" + AvgSoilHumidity +
                ", AvgCO2_=" + AvgCO2 +
                ", time='" + time + '\'' +
                '}';
    }
}
