package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.EnvironmentalData;
import com.ruoyi.crops.mapper.EnvironmentalMapper;
import com.ruoyi.crops.service.IEnvironmentalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class EnvironmentalServiceImpl implements IEnvironmentalService {
    @Autowired
    private EnvironmentalMapper environmentalMapper;
    @Override
    public List<EnvironmentalData> selectByNumber(Integer number) {
        return environmentalMapper.selectByNumber(number);
    }

    @Override
    public int insert(EnvironmentalData environmentalData) {
        return environmentalMapper.insert(environmentalData);
    }
}
