package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.GreenhouseInformation;
import com.ruoyi.crops.mapper.GreenhouseMapper;
import com.ruoyi.crops.service.IGreenhouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GreenhouseServiceImpl implements IGreenhouseService {
    @Autowired
    private GreenhouseMapper greenhouseMapper;
    @Override
    public List<GreenhouseInformation> selectByName(String name) {
        return greenhouseMapper.selectByName(name);
    }

    @Override
    public int insert(GreenhouseInformation greenhouseInformation) {
        return greenhouseMapper.insert(greenhouseInformation);
    }
}
