package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.Meteorological;
import com.ruoyi.crops.mapper.MeteorologicalMapper;
import com.ruoyi.crops.service.IMeteorologicalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MeteorologicalServiceImpl implements IMeteorologicalService {
    @Autowired
    private MeteorologicalMapper meteorologicalMapper;

    @Override
    public List<Meteorological> selectByTime() {
     return meteorologicalMapper.selectbyTime();

    }

    @Override
    public int insert(Meteorological ml) {
        return meteorologicalMapper.insert(ml);
    }
}
