package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.IntelligentControl;
import com.ruoyi.crops.service.IIntelligentControlService;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 水肥一体机智能控制controller
 */
@RestController
@RequestMapping("/intelligent")
public class IntelligentController extends BaseController {
    @Autowired
    private IIntelligentControlService iIntelligentControlService;

    /**
     * 新增单条数据
     *
     * @param intelligentControl
     * @return
     */
    @PostMapping
    public AjaxResult insert(@RequestBody IntelligentControl intelligentControl) {
        return toAjax(iIntelligentControlService.insert(intelligentControl));
    }

    /**
     * 查询全部
     *
     * @return
     */
    @GetMapping("/list")
    public List<IntelligentControl> selectAll() {
        return iIntelligentControlService.selectAll();
    }

    @PutMapping
    public AjaxResult edit(@RequestBody IntelligentControl intelligentControl) {
        return toAjax(iIntelligentControlService.edit(intelligentControl));
    }
}
