package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

 /**
 * 作物长势;
 * @author : http://www.chiner.pro
 * @date : 2023-4-24
 */
public class CropsGrowth {
    /** id */
    private Integer id ;
    /** 区域 */
    private String zone ;
    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date imageDate ;
    /** 长势差面积 */
    private Double poorArea ;
    /** 长势较差面积 */
    private Double lowArea ;
    /** 长势适中面积 */
    private Double mediumArea ;
    /** 长势较好面积 */
    private Double goodArea ;
    /** 长势好面积 */
    private Double excellentArea ;

     public Integer getId() {
         return id;
     }

     public void setId(Integer id) {
         this.id = id;
     }

     public String getZone() {
         return zone;
     }

     public void setZone(String zone) {
         this.zone = zone;
     }

     public Date getImageDate() {
         return imageDate;
     }

     public void setImageDate(Date imageDate) {
         this.imageDate = imageDate;
     }

     public Double getPoorArea() {
         return poorArea;
     }

     public void setPoorArea(Double poorArea) {
         this.poorArea = poorArea;
     }

     public Double getLowArea() {
         return lowArea;
     }

     public void setLowArea(Double lowArea) {
         this.lowArea = lowArea;
     }

     public Double getMediumArea() {
         return mediumArea;
     }

     public void setMediumArea(Double mediumArea) {
         this.mediumArea = mediumArea;
     }

     public Double getGoodArea() {
         return goodArea;
     }

     public void setGoodArea(Double goodArea) {
         this.goodArea = goodArea;
     }

     public Double getExcellentArea() {
         return excellentArea;
     }

     public void setExcellentArea(Double excellentArea) {
         this.excellentArea = excellentArea;
     }

     @Override
     public String toString() {
         return "CropsGrowth{" +
                 "id=" + id +
                 ", zone='" + zone + '\'' +
                 ", imageDate=" + imageDate +
                 ", poorArea=" + poorArea +
                 ", lowArea=" + lowArea +
                 ", mediumArea=" + mediumArea +
                 ", goodArea=" + goodArea +
                 ", excellentArea=" + excellentArea +
                 '}';
     }
 }

