package com.ruoyi.crops.domain;

/**
 * 水肥一体机参数;
 * @author : http://www.chiner.pro
 * @date : 2023-4-27
 */
public class MachineParameter{
    /** id */
    private String id ;
    /** 大棚名称 */
    private String greenhouseName ;
    /** 压力 */
    private Double pressure ;
    /** 流量 */
    private Double flow ;
    /** 电导率 */
    private Double conductivity ;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGreenhouseName() {
        return greenhouseName;
    }

    public void setGreenhouseName(String greenhouseName) {
        this.greenhouseName = greenhouseName;
    }

    public Double getPressure() {
        return pressure;
    }

    public void setPressure(Double pressure) {
        this.pressure = pressure;
    }

    public Double getFlow() {
        return flow;
    }

    public void setFlow(Double flow) {
        this.flow = flow;
    }

    public Double getConductivity() {
        return conductivity;
    }

    public void setConductivity(Double conductivity) {
        this.conductivity = conductivity;
    }

    @Override
    public String toString() {
        return "MachineParameter{" +
                "id='" + id + '\'' +
                ", greenhouseName='" + greenhouseName + '\'' +
                ", pressure=" + pressure +
                ", flow=" + flow +
                ", conductivity=" + conductivity +
                '}';
    }
}
