package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 操作记录;
 * @author : http://www.chiner.pro
 * @date : 2023-4-27
 */
public class OperationRecords {
    /** id */
    private String id ;
    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime ;
    /** 操作内容 */
    private String operationContent ;
    /** 更新人 */
    private String updateBy ;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getOperationContent() {
        return operationContent;
    }

    public void setOperationContent(String operationContent) {
        this.operationContent = operationContent;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    @Override
    public String toString() {
        return "OperationRecords{" +
                "id='" + id + '\'' +
                ", updateTime=" + updateTime +
                ", operationContent='" + operationContent + '\'' +
                ", updateBy='" + updateBy + '\'' +
                '}';
    }
}
