package com.ruoyi.crops.domain.gsonBean;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.ArrayList;
import java.util.Date;

public class GsonMeteorologicalBean {
    public String reason;
    public ArrayList<Meteorological> result;
    public String error_code;


    public class Meteorological{
        /** 预警消息ID */
        public String id ;
        /** 预警消息标题 */
        public String title ;
        /** 预警等级, 橙色/红色/蓝色/黄色/未知 */
        public String level ;
        /** 预警类型 */
        public String type ;
        /** 预警发布时间 */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        public Date time ;
        /** 省份, 可能为空 */
        public String province ;
        /** 城市, 可能为空 */
        public String city ;
        /** 区域, 可能为空 */
        public String district ;
        /** 预警详细内容 */
        public String content ;
    }
}
