package com.ruoyi.crops.service;

import com.ruoyi.crops.domain.CropStructure;

import java.util.Date;
import java.util.List;

public interface ICropsStructureService {
    /**
     * 新增作物种植结构
     * @param cropStructure
     * @return
     */
    public int insertCropsStructure(CropStructure cropStructure);

    /**
     * 批量新增作物种植结构
     * @param cropStructureList
     * @return
     */
    public int insertBatch(List<CropStructure> cropStructureList);

    /**
     * 根据时间查询
     * @param time
     * @return
     */
    public List<CropStructure> selectByTime(Date time);
}
