package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.CropsDrought;
import com.ruoyi.crops.domain.CropsYield;
import com.ruoyi.crops.mapper.CropsDroughtMapper;
import com.ruoyi.crops.service.ICropsDroughtService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class CropsDroughtServiceImpl implements ICropsDroughtService {
    @Autowired
    private CropsDroughtMapper cropsDroughtMapper;
    @Override
    public int insertBatch(List<CropsDrought> cropsYieldList) {
        return cropsDroughtMapper.insertBatch(cropsYieldList);
    }

    @Override
    public List<CropsDrought> selectByTime(Date time) {
        return cropsDroughtMapper.selectByTime(time);
    }
}
