package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.CropsYield;
import com.ruoyi.crops.mapper.CropsYieldMapper;
import com.ruoyi.crops.service.ICropsYieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class CropsYieldServiceImpl implements ICropsYieldService {
    @Autowired
    private CropsYieldMapper cropsYieldMapper;
    @Override
    public List<CropsYield> selectByYear(Integer year) {
        return cropsYieldMapper.selectByYear(year);
    }

    @Override
    public int insertBatch(List<CropsYield> cropYieldList) {
        return cropsYieldMapper.insertBatch(cropYieldList);
    }
}
