package com.ruoyi.crops.service.impl;

import com.ruoyi.common.utils.BashUtils;
import com.ruoyi.crops.service.IexeService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class ExeServiceImpl implements IexeService {
    @Value("${path.exepath}")
    private String exePath;

    @Override
    public String execCommand(String type, String filePath, String boundaryDataPath) {
        String path;
        if (type.equals("zzjg")) {
            path = exePath + "农作物种植结构.exe ";
        } else if (type.equals("zwzs")) {
            path = exePath + "农作物长势.exe ";
        } else if (type.equals("zwhq")) {
            path = exePath + "农作物旱情.exe ";
        } else if (type.equals("zyzd_hq")) {
            path = exePath + "旱情指导.exe ";
        } else if (type.equals("zyzd_zs")) {
            path = exePath + "长势指导.exe ";
        } else {
            path = exePath + "农作物产量.exe ";
        }

        return BashUtils.execCommand(path + "\"" + filePath + "\"" + " \"" + boundaryDataPath + "\"");
    }
}
