package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.DeviceSense;
import com.ruoyi.crops.domain.FertigationSense;
import com.ruoyi.crops.mapper.FertigationSenseMapper;
import com.ruoyi.crops.service.IFertigationSenseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
public class FertigationSenseImpl implements IFertigationSenseService {
    @Autowired
    private FertigationSenseMapper fertigationSenseMapper;

    @Override
    public void dedupInsert(FertigationSense fertigationSense) {
        fertigationSenseMapper.dedupInsert(fertigationSense);
    }

    @Override
    public int insert(FertigationSense fertigationSense) {
        return fertigationSenseMapper.insert(fertigationSense);
    }
}
