package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.MachineParameter;
import com.ruoyi.crops.mapper.MachineParameterMapper;
import com.ruoyi.crops.service.IMachineParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MachineParameterServiceImpl implements IMachineParameterService {
    @Autowired
    private MachineParameterMapper machineParameterMapper;
    @Override
    public List<MachineParameter> selectByName(String name) {
        return machineParameterMapper.selectByName(name);
    }

    @Override
    public int insert(MachineParameter machineParameter) {
        return machineParameterMapper.insert(machineParameter);
    }
}
