package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.ServiceType;
import com.ruoyi.crops.mapper.ServiceTypeMapper;
import com.ruoyi.crops.service.IServiceTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ServiceTypeServiceImpl implements IServiceTypeService {
    @Autowired
    private ServiceTypeMapper serviceTypeMapper;
    @Override
    public List<ServiceType> selectByType(String type) {
        return serviceTypeMapper.selectByType(type);

    }

    @Override
    public int insert(ServiceType serviceType) {
        return serviceTypeMapper.insert(serviceType);
    }

    @Override
    public List<ServiceType> selectAll() {
        return serviceTypeMapper.selectAll();
    }

    @Override
    public int deleteByIds(Long[] ids) {
        return serviceTypeMapper.deleteByIds(ids);
    }
}
